/* ;-*-c++-*-
 * 
 * qmbrowseritem.h
 *
 * $Id: qmbrowseritem.h,v 1.7 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMBROWSERITEM_H_INCLUDED
#define QMBROWSERITEM_H_INCLUDED

#include "qmlistviewitem.h"

class QmBrowserItem : public QmListViewItem
{
public:
	QmBrowserItem(QListView *parent, const QString &text, const QString &filename);
	QmBrowserItem(QListView *parent, QListViewItem *after, const QString &text, const QString &filename);
	QmBrowserItem(QmBrowserItem *parent, QListViewItem *after, const QString &text, const QString &filename);
	virtual ~QmBrowserItem();

	virtual const QString& fileName() const;
	virtual void setFileName(const QString &filename);

private:
	QString m_FileName;
};

#endif // QMBROWSERITEM_H_INCLUDED
