/* ;-*-c++-*-
 * 
 * qmdropindicator.h
 *
 * $Id: qmdropindicator.h,v 1.5 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMDROPINDICATOR_H_INCLUDED
#define QMDROPINDICATOR_H_INCLUDED

#include <qwidget.h>

/*! \file qmdropindicator.h
  Definition of QmDropIndicator class which is used for displaying the drop indicator in the play list.
*/

class QmDropIndicator : public QWidget
{
	Q_OBJECT
		
public:
	QmDropIndicator(QWidget *parent = 0, const char *name = 0);
	virtual ~QmDropIndicator();

protected:
	virtual void paintEvent(QPaintEvent *e);
};

#endif // QMDROPINDICATOR_H_INCLUDED
