/* ;-*-c++-*-
 * 
 * qmlistviewitem.h
 *
 * $Id: qmlistviewitem.h,v 1.3 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMLISTVIEWITEM_H_INCLUDED
#define QMLISTVIEWITEM_H_INCLUDED

#include <qlistview.h>

class QTextStream;

class QmListViewItem : public QListViewItem
{
public:
	QmListViewItem(QListView *parent);
	QmListViewItem(QListViewItem *parent);
	QmListViewItem(QListView *parent, QListViewItem *after);
	QmListViewItem(QListViewItem *parent, QListViewItem *after);
	virtual ~QmListViewItem();

	virtual void save(QTextStream &out) const = 0;
    virtual void setup();
};

#endif // QMLISTVIEWITEM_H_INCLUDED
