/* ;-*-c++-*-
 * qmautoptr.hpp
 *
 * $Id: qmautoptr.h,v 1.3.2.1 2002/10/11 06:39:03 kyllingstad Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMAUTOPTR_H_INCLUDED
#define QMAUTOPTR_H_INCLUDED

/*! \file qmautoptr.h
  A simple typdef for the auto pointer.
*/

#ifdef APOLLO_USE_STL
#include <memory>
#define QmAutoPtr std::auto_ptr
#else
#include "qmautopointer.hpp"
#define QmAutoPtr QmAutoPointer
#endif

#endif // QMAUTOPTR_H_INCLUDED
