/* ;-*-c++-*-
 * 
 * qmcompactwindow.h
 *
 * $Id: qmcompactwindow.h,v 1.5 2002/03/13 15:09:36 amos Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMCOMPACTWINDOW_H_INCLUDED
#define QMCOMPACTWINDOW_H_INCLUDED

#include <qwidget.h>

class QToolButton;

class QmMainWindow;

class QmCompactWindow : public QWidget
{
	Q_OBJECT
public:
	QmCompactWindow(QmMainWindow *mainwidget, QWidget *parent = 0, const char *name = 0);
	virtual ~QmCompactWindow();

public slots:
	void showMainWindow();

private:
    QToolButton	 *m_pPlay;
    QToolButton	 *m_pStop;
    QToolButton	 *m_pNext;
    QToolButton	 *m_pPrev;
    QToolButton	 *m_pPause;
    QToolButton	 *m_pRestart;
    QToolButton	 *m_pMaximize;
	QmMainWindow *m_pMainWindow;
};

#endif // QMCOMPACTWINDOW_H_INCLUDED
