/* ;-*-c++-*-
 * 
 * qmm3uformat.h
 *
 * $Id: qmm3uformat.h,v 1.6 2002/03/07 03:44:16 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMM3UFORMAT_H_INCLUDED
#define QMM3UFORMAT_H_INCLUDED

#include "qmplaylistformat.h"

class QmM3uFormat : public QmPlayListFormat
{
public:
	QmM3uFormat();
	virtual ~QmM3uFormat();

	virtual QmPlayListItem *load(QmPlayList *list, const QString &filename, QmPlayListItem *above = 0);
	virtual void save(QmPlayList *list, const QString &filename);

	static bool isMatch(const QString &filename);
};

#endif // QMM3UFORMAT_H_INCLUDED
