/* ;-*-c++-*-
 * 
 * qmplaylistformat.h
 *
 * $Id: qmplaylistformat.h,v 1.5 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPLAYLISTFORMAT_H_INCLUDED
#define QMPLAYLISTFORMAT_H_INCLUDED

#include <qstring.h>

class QmPlayList;
class QmPlayListItem;

class QmPlayListFormat
{
public:
	QmPlayListFormat();
	virtual ~QmPlayListFormat();

	static QmPlayListFormat* getFormat(const QString &filename, bool quiet = true);
	
	virtual QmPlayListItem *load(QmPlayList *list, const QString &filename, QmPlayListItem *above = 0) = 0;
	virtual void save(QmPlayList *list, const QString &filename) = 0;
};

#endif // QMPLAYLISTFORMAT_H_INCLUDED

