/* ;-*-c++-*-
 * 
 * qmplaylistpropertypage.h
 *
 * $Id: qmplaylistpropertypage.h,v 1.7.2.1 2002/10/10 21:40:52 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMPLAYLISTPROPERTYPAGE_H_INCLUDED
#define QMPLAYLISTPROPERTYPAGE_H_INCLUDED

#include "qmconfigpage.h"

class QLineEdit;
class QPushButton;
class QmPlayListBrowserItem;

class QmPlayListPropertyPage : public QmConfigPage
{
	Q_OBJECT
public:
	QmPlayListPropertyPage(QmPlayListBrowserItem *item, QmConfigDialog *parent = 0, const char *name = 0);
	virtual ~QmPlayListPropertyPage();

	virtual void load();
	virtual void save();

private slots:
	void okay();
	void nameChanged(const QString &/*name*/);
	void browse();

private:
	QmPlayListBrowserItem 		*m_pItem;
	QPushButton					*m_pOkay;
	QLineEdit 					*m_pName;
	QLineEdit 					*m_pFile;
};

#endif // QMPLAYLISTPROPERTYPAGE_H_INCLUDED
