/* ;-*-c++-*-
 * 
 * qmrecoverydialog.h
 *
 * $Id: qmrecoverydialog.h,v 1.3 2002/03/07 03:44:17 mariuss Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMRECOVERYDIALOG_H_INCLUDED
#define QMRECOVERYDIALOG_H_INCLUDED

#include <qdialog.h>
#include <qlist.h>

class QCheckBox;

class QmRecoveryDialog : public QDialog
{
	Q_OBJECT
public:
	QmRecoveryDialog(QWidget *parent = 0, const char *name = 0);
	virtual ~QmRecoveryDialog();

private slots:
	void okayClicked();
    void selectAll();
    void selectNone();

private:
    void selectCheckBoxes( bool check );

private:
	QCheckBox *m_pFile1;
	QCheckBox *m_pFile2;
	QCheckBox *m_pFile3;
	QCheckBox *m_pFile4;
	QCheckBox *m_pFile5;
    QList<QCheckBox> m_CheckBoxes;
};

#endif // QMRECOVERYDIALOG_H_INCLUDED
