/* ;-*-c++-*-
 *
 * qmsystray.h
 *
 * $Id: qmsystray.h,v 1.1 2002/03/13 15:09:36 amos Exp $
 *
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMSYSTRAY_H_INCLUDED
#define QMSYSTRAY_H_INCLUDED

#ifdef APOLLO_USE_KDE
#define APOLLO_USE_SYSTRAY "KDE"
#endif

#ifdef APOLLO_USE_SYSTRAY
class QmSystrayKDE;
typedef QmSystrayKDE QmSystrayClient;
#endif

class QWidget;

class QmSystray
{
public:

    static void show( QWidget *parent, bool show );

private:
#ifdef APOLLO_USE_SYSTRAY
    static QmSystrayClient *m_pClient;
#endif
};

#endif // QMSYSTRAY_H_INCLUDED
